%global modname mccabe

Summary:            McCabe complexity checker
Name:               python-%{modname}
Version:            0.6.1
Release:            5%{?dist}
License:            MIT
URL:                http://pypi.python.org/pypi/mccabe
Source0:            https://files.pythonhosted.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:          noarch

%description
Ned's script to check McCabe complexity.

This module provides a plugin for flake8, the Python code checker.

%package -n python%{python3_pkgversion}-%{modname}
Summary:            McCabe checker, plugin for flake8
BuildRequires:      python%{python3_pkgversion}-devel python%{python3_pkgversion}-pytest-runner
BuildRequires:      python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-pytest

%description -n python%{python3_pkgversion}-%{modname}
Ned's script to check McCabe complexity.

This module provides a plugin for flake8, the Python code checker.


%prep
%autosetup -n %{modname}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest -v

%files -n python%{python3_pkgversion}-%{modname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{modname}.py*
%{python3_sitelib}/%{modname}-%{version}-*
%{python3_sitelib}/__pycache__/%{modname}.*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 Shuo Wang <abushwang@tencent.com> - 0.6.1-1
- initial build
